Log and Status Files

LPRng Reference Manual: 24 Sep 2004 (For LPRng-3.8.28)
Prev | Chapter 13. Spool Queues and Files | Next

# 13.4. Log and Status Files

- create_filescreate log, accounting and status files

- lf=log file name (default: log)

- max_log_file_size#maximum log file size (Kbytes)

- min_log_file_size#minimum log file size (Kbytes)

- max_accounting_file_size#maximum accounting file size (Kbytes)

- min_accounting_file_size#minimum accounting file size (Kbytes)

- max_status_line#maximum status line length (characters)

- max_status_size#maximum status file size (Kbytes)

- min_status_size#minimum status file size (Kbytes)

- ps=filter status file name (default: status)

- queue_status_file=queue status file (default: status.%P)

- short_status_date=display short (hh:mm) timestamp (default: true)

During operation, the lpd server records the current printing operations in the spool queue status file specified by the spool_status_file option (default status.%P - the %P is expanded to the print queue name); for our example, this would be `/var/lpd/pr/status.pr`. In order to prevent this file from growing too large, the server will periodically truncate the file. You can force creation of these files by setting the create_files option. The max_status_size configuration or printcap option sets the maximum size (in Kbytes) of the status file; if the file exceeds this, only the last min_status_size bytes or 25% of the maximum size (default if not specified) will be preserved.

The server logs its operations in the log file specified by the lf (log file) option (default is lf=log). The max_log_file_size value (default 0) specifies the maximum length of the log file in Kbytes. If this value is non-zero, then the log file is truncated to min_log_file_size bytes or 25% of the maximum file size. Again, the last portion of the log file is preserved. If the max_log_file_size value is 0, then the log file grows without limit.

The server records accounting information in the log file specified by the accounting file af (accounting file) option (default is af=acct). The max_accounting_file_size value (default 0) specifies the maximum length of the log file in Kbytes. If this value is non-zero, then the log file is truncated to min_accounting_file_size bytes or 25% of the maximum file size. Again, the last portion of the log file is preserved. If the max_accounting_file_size value is 0, then the log file grows without limit. See Open The Output Device and Accounting Printcap Options for more details.

Some filters require an additional filter status file that they use for recording additional filter status or other operational information. The ps names this file, and it is passed to a print filter using the $s option (see Filter Command Line Options and Environment Variables ).

The STDERR output for filters is put into the printer status file. This allows the filter to produce informative messages that can be displayed as part of the user status. In addition, a separate status file specified by the ps (Printer Status) can be used as well. This file is not truncated by the LPRng system.

When reporting status information, the length of line returned can be a problem. The max_status_line#79 option restricts the status line to a maximum of 79 characters.

The short_status_date (default is true) option causes short (hour:minute) timestamps to be displayed on status queries.

Prev | Home | Next
Spool Control File | Up | Job Files